/*
var currentSPL = null;
var stopSelectionCleared = false;
function messageHandler(message, params) {
	if(message == "LoadPartList") {
		if(currentSPL == params) { 
			stopSelectionCleared=true;
			var paramArr = belenusHome.queryStringToArray(params);
			if(paramArr["SelectItemPath"] != null) { // safe selection 
				document.TableApplet.sendMessage("Table", "SelectParts", "Exclusive=true&ItemPath0="+paramArr['SelectItemPath']);
				var partData = belenusHome.getProperty("Table","PartData","ItemPath="+paramArr['SelectItemPath']);
				var hs = belenusHome.getQueryField(partData,'posno');
				while(hs.indexOf("0")!=-1) hs = hs.substring(1);
				belenusHome.sendMessage("ImageView", "SelectHotspots", "Exclusive=true&HotspotID0="+hs);
			}
			return;
		} else {
		  currentSPL = params;
		  stopSelectionCleared=false
		}
	} else if(message == "SelectionCleared") {
	  if(stopSelectionCleared)return;
	} else {
	  document.TableApplet.sendMessage("Table", message, params);
	}
}
*/